;============================================================
; File name:
; Date:
; Author:
; Processor:
; Reference circuit:
;=============================================================
; Copyright notice:
;=============================================================
; Program Description:
;
;===========================
; configuration switches
;===========================
; Switches used in __config directive:
;   _CP_ON      	Code protection ON/OFF     
; * _CP_OFF      
; * _PWRTE_ON     Power-up timer ON/OFF
;   _PWRTE_OFF     
;   _WDT_ON       Watchdog timer ON/OFF  
; * _WDT_OFF       
;   _LP_OSC       Low power crystal occilator
; * _XT_OSC       External parallel resonator  
;   _HS_OSC       High speed crystal resonator (8 to 10 MHz)
;   _RC_OSC       Resistor/capacitor ocillator
;                 (simplest, 20% error)
; |
; |_____ * indicates setup values

;=========================
; setup and configuration
;=========================
	processor 16f84A
	include	  <p16f84A.inc>
	__config  _XT_OSC & _WDT_OFF & _PWRTE_ON & _CP_OFF

;=====================================================
;                 constant definitions
;=====================================================
;=====================================================
;                  PIC register equates
;=====================================================
;=====================================================
;              variables in PIC RAM
;=====================================================
	cblock	0x0c
	endc

;============================================================
;                           program
;============================================================
		org		0	  ; start at address 
		goto	main
; Space for interrupt handlers
	org		0x08

main:

;============================================================
	end		; END OF PROGRAM
;============================================================
